Subject: Re: bug#38818: Dired: mention deleting buffers, not just windows

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Wed, 01 Jan 2020 11:07:22 +0800

Yup, confirmation when edited or marks sounds good.

Otherwise if the user really wanted to keep the buffer around, he could
just do C-x C-b to switch to another buffer.

Wait, looking at C-h b,

i		dired-maybe-insert-subdir
j		dired-goto-file
k		dired-do-kill-lines
l		dired-do-redisplay
m		dired-mark
n		dired-next-line
o		dired-find-file-other-window
p		dired-previous-line
q		quit-window
s		dired-sort-toggle-or-edit
t		dired-toggle-marks
u		dired-unmark
v		dired-view-file
w		dired-copy-filename-as-kill
x		dired-do-flagged-delete
y		dired-show-file-type

So we "see" the problem is caused by just reusing quit-window instead of a
more tailored dired command...

One also notices
  dired-clean-up-buffers-too is a variable defined in ‘dired-x.el’.

So previously people had been working on related problems, but never got
around to all the left over directories.

MH> But... if the default is the same as now, you would not gain any advantage,
MH> since you can already change the key binding without much effort.

Actually I don't know how to bind kill-buffer to q and not have it still
ask me which buffer, but just kill it (marks and all, for now I guess.)
I'm not a lisp wiz.